<?xml version="1.0" encoding="UTF-8"?>
<vendors version="1.0">
  <vendor id="Sun" fullName="Sun Microsystems Inc." displayName="Sun" commonJVMOptions="-Xrunjprofiler:${PARAM}">
    <modes>
      <mode id="mixed" jvmOptions="-Xmixed"  profilerOptions="" comment="does not work with full instrumentation"/>
      <mode id="interpreted" jvmOptions="-Xint" profilerOptions=""/>
      <mode id="classic" jvmOptions="-classic" profilerOptions="" excludePlatforms="solaris" comment="is not available on Solaris"/>
      <mode id="default" jvmOptions="" profilerOptions="" excludePlatforms="windows,macos,linux" comment="is only available on Solaris"/>
    </modes>
    <versions>
      <version id="1.2.2" specificJVMOptions="[solaris: -native] -Djava.compiler=none" srcFileName="src.jar" srcFileDirPrefix="src/">
        <modeRefs>
          <modeRef idRef="classic" preferred="true"/>
          <modeRef idRef="default" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.3.0" specificJVMOptions="[solaris: -Xboundthreads]" srcFileName="src.jar" srcFileDirPrefix="src/">
        <modeRefs>
          <modeRef idRef="classic" preferred="true"/>
          <modeRef idRef="default" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.3.1" specificJVMOptions="[solaris: -Xboundthreads]" srcFileName="src.jar" srcFileDirPrefix="src/">
        <unsupported>
          <release id="1.3.1" />
          <release id="1.3.1_01" />
        </unsupported>
        <modeRefs>
          <modeRef idRef="interpreted"/>
          <modeRef idRef="mixed"/>
          <modeRef idRef="classic" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.4.0" srcFileName="src.zip" srcFileDirPrefix="">
        <unsupported>
          <release id="1.4.0-beta" />
          <release id="1.4.0-beta2" />
          <release id="1.4.0-beta3" />
          <release id="1.4.0-rc" />
          <release id="1.4.0" />
        </unsupported>
        <modeRefs>
          <modeRef idRef="mixed"/>
          <modeRef idRef="interpreted" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.4.1" srcFileName="src.zip" srcFileDirPrefix="">
        <modeRefs>
          <modeRef idRef="mixed"/>
          <modeRef idRef="interpreted" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.4.2" idRef="1.4.1"/>
      <version id="1.5.0" specificJVMOptions="-Xshare:off" srcFileName="src.zip" srcFileDirPrefix="">
        <modeRefs>
          <modeRef idRef="mixed"/>
          <modeRef idRef="interpreted" preferred="true"/>
        </modeRefs>
      </version>
    </versions>
  </vendor>
  <vendor id="IBM" fullName="IBM Corporation" displayName="IBM" commonJVMOptions="-Xrunjprofiler:${PARAM}">
    <modes>
      <mode id="default" jvmOptions="" profilerOptions=""/>
    </modes>
    <versions>
      <version id="1.3.0" specificJVMOptions="-Djava.compiler=none" srcFileName="src.jar" srcFileDirPrefix="src/">
        <modeRefs>
          <modeRef idRef="default" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.3.1" idRef="1.3.0"/>
      <version id="1.4.0" idRef="1.3.0"/>
    </versions>
  </vendor>
  <vendor id="Apple" fullName="Apple Computer, Inc." displayName="Apple" commonJVMOptions="-Xrunjprofiler:${PARAM}">
    <modes>
      <mode id="mixed" jvmOptions="-Xmixed" profilerOptions=""/>
      <mode id="interpreted" jvmOptions="-Xint" profilerOptions=""/>
    </modes>
    <versions>
      <version id="1.3.1" specificJVMOptions="" srcFileName="src.jar" srcFileDirPrefix="src/">
        <modeRefs>
          <modeRef idRef="interpreted" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.4.1" specificJVMOptions="-XX:-UseSharedSpaces" srcFileName="src.zip" srcFileDirPrefix="src/">
        <modeRefs>
          <modeRef idRef="interpreted" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.4.2" idRef="1.4.1"/>
    </versions>
  </vendor>
  <vendor id="BEA" fullName="BEA Systems, Inc." displayName="BEA JRockit" commonJVMOptions="-Xrunjprofiler:${PARAM}">
    <modes>
      <mode id="default" jvmOptions="-Xjvmpi:entryexit=off" profilerOptions="" comment="does not work with full instrumentation"/>
      <mode id="fullinstr" jvmOptions="" profilerOptions="" comment="choose only when working with full instrumentation"/>
      <mode id="noopt" jvmOptions="-Xnoopt" profilerOptions=""/>
    </modes>
    <versions>
      <version id="1.4.1" specificJVMOptions="" srcFileName="src.zip" srcFileDirPrefix="">
        <modeRefs>
          <modeRef idRef="default" preferred="true"/>
          <modeRef idRef="fullinstr"/>
          <modeRef idRef="noopt"/>
        </modeRefs>
      </version>
     </versions>
  </vendor>
  <vendor id="Hewlett-Packard" fullName="Hewlett-Packard Co." displayName="HP" commonJVMOptions="-Xrunjprofiler:${PARAM}" hide="true">
    <modes>
      <mode id="mixed" jvmOptions="-Xmixed"  profilerOptions="" comment="does not work with full instrumentation"/>
      <mode id="interpreted" jvmOptions="-Xint" profilerOptions=""/>
      <mode id="classic" jvmOptions="-classic" profilerOptions="" />
    </modes>
    <versions>
      <version id="1.3.1" specificJVMOptions="" srcFileName="src.jar" srcFileDirPrefix="src/">
        <modeRefs>
          <modeRef idRef="interpreted"/>
          <modeRef idRef="mixed"/>
          <modeRef idRef="classic" preferred="true"/>
        </modeRefs>
      </version>
      <version id="1.4.1" srcFileName="src.zip" srcFileDirPrefix="">
        <modeRefs>
          <modeRef idRef="mixed"/>
          <modeRef idRef="interpreted" preferred="true"/>
        </modeRefs>
      </version>
    </versions>
  </vendor>
</vendors>
